Bug 515206 - (potrace) Review Request: potrace - Transform bitmaps into vector graphics
Review Request: potrace - Transform bitmaps into vector graphics
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guido Grazioli
Fedora Extras Quality Assurance
:
: 251710 (view as bug list)
Depends On:
Blocks: 131850 dvisvgm
  Show dependency treegraph
 
Reported: 2009-08-03 07:01 EDT by Susi Lehtola
Modified: 2015-01-15 16:08 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.8-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 00:29:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
guido.grazioli: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-08-03 07:01:22 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/potrace.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/potrace-1.8-1.fc11.src.rpm

Upstream URL:
http://potrace.sourceforge.net

Description:
Potrace(TM) is a utility for tracing a bitmap, which means, transforming a
bitmap into a smooth, scalable image. The input is a bitmap (PBM, PGM, PPM, or
BMP format), and the default output is an encapsulated PostScript file (EPS).
A typical use is to create EPS files from scanned data, such as company or
university logos, handwritten notes, etc. The resulting image is not "jaggy"
like a bitmap, but smooth. It can then be rendered at any resolution.

Potrace can currently produce the following output formats: EPS, PostScript,
PDF, SVG (scalable vector graphics), Xfig, Gimppath, and PGM (for easy
antialiasing). Additional backends might be added in the future.

Mkbitmap is a program distributed with Potrace which can be used to pre-process
the input for better tracing behavior on greyscale and color images. See the
mkbitmap examples page.


rpmlint output is clean.
Comment 1 Susi Lehtola 2009-08-03 07:02:52 EDT
*** Bug 251710 has been marked as a duplicate of this bug. ***
Comment 2 Guido Grazioli 2009-08-03 07:21:50 EDT
Hello Jussi, you specfile seems to be in a very good shape; you only need to 
adjust main package comment:

Packagers should be careful how they use trademarks in Summary or Description. There are a few rules to follow:

    * Never use "(TM)" or "(R)" (or the unicode equivalents, ™/®). It is incredibly complicated to use these properly, so it is actually safer for us to not use them at all. 

Maybe the last line about examples page could go away too.
Comment 4 Guido Grazioli 2009-08-03 12:28:58 EDT
Hello Jussi, build in koji fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1576283

You need at least to include zlib-devel in BRs

guido
Comment 5 Guido Grazioli 2009-08-03 12:29:29 EDT
Yep, zlib-devel seems to be enough
Comment 7 Guido Grazioli 2009-08-05 09:50:37 EDT
Hi Jussi, sorry to be a bit late, theres a couple of things below

** - rpmlint output
4 packages and 1 specfiles checked; 0 errors, 1 warnings.
potrace-devel.x86_64: W: no-documentation

- you could move potracelib.pdf from -doc to -devel (it's the library developer manual) and let this warning go away

OK - The package must be named according to the Package Naming Guidelines.
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines
OK - If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc

** - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines 

license in SPEC is : GPL+ and LGPLv2+
looking at README you can safely use: GPLv2+ and LGPLv2+

NA - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun (no shared libs)
OK - The package MUST successfully compile and build
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1583585
OK - The spec file must be written in American English.
OK - The spec file for the package MUST be legible.
OK - The sources used to build the package must match the upstream source, as
provided in the spec URL. 
e73b45565737d64011612704dd4d9f86  SOURCES/potrace-1.8.tar.gz
NA - The spec file MUST handle locales properly (no translations)
NA - package not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section
OK - Each package must consistently use macros
OK - The package must contain code, or permissable content 
OK - Large documentation files must go in a -doc subpackage (-doc present)
OK - If a package includes something as %doc, it must not affect the runtime of
the application
OK - Header files must be in a -devel package (-devel present)
OK - Static libraries must be in a -static package (static library present, but no shared libs, so everything goes in -devel)
NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
OK - Packages must NOT contain any .la libtool archives
NA - Packages containing GUI applications MUST include a .desktop file (no gui)
OK - No file conflicts with other packages and no general names.
OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK - All filenames in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate.
OK - %{?dist} tag is used in release
Comment 8 Susi Lehtola 2009-08-06 06:12:08 EDT
http://theory.physics.helsinki.fi/~jzlehtol/rpms/potrace.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/potrace-1.8-4.fc11.src.rpm  

I actually changed the license tag to GPLv2+. I had probably been looking only at the source code headers, which didn't specify a version.

I didn't move the pdf to -devel, since the -doc package is almost as big as potrace and potrace-devel combined.
Comment 9 Guido Grazioli 2009-08-06 07:38:24 EDT
OK well done; package APPROVED.
Comment 10 Susi Lehtola 2009-08-06 07:49:09 EDT
Thanks for the review.

New Package CVS Request
=======================
Package Name: potrace
Short Description: Transform bitmaps into vector graphics
Owners: jussilehtola
Branches: F-10 F-11 EL-5
InitialCC:
Comment 11 Kevin Fenzi 2009-08-07 15:56:52 EDT
cvs done.
Comment 12 Fedora Update System 2009-08-07 16:29:39 EDT
potrace-1.8-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/potrace-1.8-4.el5
Comment 13 Fedora Update System 2009-08-07 16:29:55 EDT
potrace-1.8-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/potrace-1.8-4.fc11
Comment 14 Fedora Update System 2009-08-07 16:30:12 EDT
potrace-1.8-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/potrace-1.8-4.fc10
Comment 15 Fedora Update System 2009-08-08 15:24:16 EDT
potrace-1.8-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update potrace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8377
Comment 16 Fedora Update System 2009-08-08 15:27:27 EDT
potrace-1.8-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update potrace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8386
Comment 17 Fedora Update System 2009-08-11 16:37:56 EDT
potrace-1.8-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update potrace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0272
Comment 18 Fedora Update System 2009-08-25 00:29:28 EDT
potrace-1.8-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-08-25 00:37:39 EDT
potrace-1.8-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-08-28 00:58:33 EDT
potrace-1.8-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Susi Lehtola 2015-01-15 14:53:43 EST
Package Change Request
======================
Package Name: potrace
New Branches: epel7
Owners: jussilehtola
InitialCC:
Comment 22 Gwyn Ciesla 2015-01-15 16:08:05 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.